//
// Atmo clock script, v.1.0
//
// Rolu, CR 2001-May-14, LU 2001-May-14
//

// Uncomment any of these to rotate the clock around it's Y axis.
// If you need other rotations, you get the idea :-)
this.yrot=Rotation('Y', 0.000000001); // 0 degrees
//this.yrot=Rotation('Y', Math.PI/2); // 90 degrees
//this.yrot=Rotation('Y', Math.PI); // 180 degrees
//this.yrot=Rotation('Y', Math.PI*1.5); // 270 degrees

this.hours=SubWorld("hours.aer").add();
this.minutes=SubWorld("minutes.aer").add();
this.seconds=SubWorld("seconds.aer").add();

this.hours.position=this.position;
this.minutes.position=this.position;
this.seconds.position=this.position;

this.timestep=function(now, del)
{
    var mydate=new Date(), h, m, s;

    s=mydate.getSeconds();
    m=mydate.getMinutes()+(s/60);
    h=mydate.getHours()+(m/60);

    this.hours.orientation=Rotation(this.yrot, 'Z', Math.PI*(h/-6));
    this.minutes.orientation=Rotation(this.yrot, 'Z', Math.PI*(m/-30));
    this.seconds.orientation=Rotation(this.yrot, 'Z', Math.PI*(s/-30));
}
addAnimator(this);
